import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:vitalapp/pages/from_page/controller.dart';
import 'package:vitalapp/pages/from_page/widgets/menus.dart';
import 'package:vitalapp/pages/from_page/widgets/navigator.dart';

class FromPage extends GetView<FromPageController> {
  const FromPage({
    super.key,
    required this.fromMenuListViewWidget,
    required this.nestedKey,
    required this.initialRoute,
  });
  final FromMenuListViewWidget fromMenuListViewWidget;
  final int nestedKey;
  final String initialRoute;
  @override
  Widget build(BuildContext context) {
    return Container(
      child: Row(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          SizedBox(
            width: 440,
            // color: Colors.white,
            child: fromMenuListViewWidget,
          ),
          const VerticalDivider(
            width: 2,
          ),
          Expanded(
            child: Container(
              color: const Color.fromRGBO(238, 238, 238, 1),
              child: FromPageNavigator(
                nestedKey: nestedKey,
                initialRoute: initialRoute,
              ),
            ),
          ),
        ],
      ),
    );
  }
}
